using DoomDeathmatch.Component.MVC;

namespace DoomDeathmatch.Script.Consumable;

public class HealthPackConsumable(float parHealth) : IConsumable
{
  public string Icon => "texture/health_pack.png";

  public void Consume(PlayerController parPlayerController)
  {
    parPlayerController.HealthController.Heal(parHealth);
  }
}